creeper

Discussion dans 'Aide pour les plugins' créé par viinclg, 23 Mars 2011.

  1. viinclg Nouveau

    Bonjour,
    je cherche la configuration pour désactivé l'explosion de creeper surtout pour les dégât matériels...



    merci d'avance.
  2. FrOOmiX Modo' à la retraite

    Ya un mod pour ça je crois, c'est quoi ton serveur, un CraftBukkit ?
  3. hyoa Nouveau

    World Guard le fait
  4. romaind0_0b Nouveau

    bonjour voici un tout nouveau serveur mine&craft. C'est un petit serveur, free build ...
    a bientot sur********************
  5. Maxime Administrateur du site

    Déjà tu postes n'importe où, en plus tu copies le nom d'un serveur déjà existant. J'édite ton post, et je te conseille de changer de nom pour ton serveur ;)
  6. viinclg Nouveau


    oui c'est bien ça, j'aimerais je plugins et la config (si possible) pour évité les explosions des creeper

    Merci d'avance.
  7. Maxime Administrateur du site

    Le plugin c'est bien Worldguard. Dans les fichiers de configuration tu as un endroit où tu peux bloquer l'explosion des creepers et/ou la destruction des blocs. Regarde le fichier config.yml.
  8. hyoa Nouveau

    Je lui ai tout envoyé par mp ;)
  9. Dwalfear Nouveau

    Il est aussi possible de le faire avec le plugin Essentials :(
  10. Dwalfear Nouveau

    Vu que l'on me pose la question par MP, je répond ici pour les prochain qui se poserait la question...

    Dans le fichier config de essentials, dans la partie essentials protect (si vous l'avez installer)

    vous avez ça ou un code qui ressemble.
    Code:
    protect:
    # Database settings for sign/rail protection
    # get mysql.jar and sqlite and place it in your serverroot/lib directory from here:
    # http://java.net/projects/essentials/sources/svn/show/lib?rev=435
    
    # mysql, sqlite or none
    datatype: 'sqlite'
    
    # If you specified MySQL above, you MUST enter the appropriate details here.
    # If you specified SQLite above, these will be IGNORED.
    username: 'root'
    password: 'root'
    mysqlDb: 'jdbc:mysql://localhost:3306/minecraft'
    
    # For which block types would you like to be alerted?
    # You can find a list of IDs in plugins/Essentials/Items.db after loading Essentials for the first time.
    alert:
    # 10: lava
    # 11: still lava
    # 46: TNT
    on-placement: 
    # 1: rock (just an example--doesn't actually do much)
    on-use: 
    # 46: TNT
    on-break: 
    
    # Users cannot PLACE these types of blocks/items.
    # < 255 designates a BLOCK
    # > 255 designates an ITEM (Some blocks can be placed as blocks OR items; lava blocks can be placed by lava buckets, for example.)
    blacklist:
    placement: 
    usage:
    
    #prevent people from breaking blocks
    #break: 20,50
    break: 
    
    
    # General physics/behavior modifications
    prevent:
    lava-flow: false
    water-flow: false
    water-bucket-flow: false
    fire-spread: false
    lava-fire-spread: false
    flint-fire: false
    tnt-explosion: false
    creeper-explosion: false
    creeper-playerdamage: false
    creeper-blockdamage: false
    # Prevent the spawning of creatures
    spawn:
    creeper: false
    ghast: false
    slime: true
    
    # Maximum height the creeper should explode. -1 allows them to explode everywhere.
    # Set prevent.creeper-explosion to true, if you want to disable creeper explosions.
    creeper:
    max-height: -1
    
    # Protect various blocks.
    protect:
    # Protect all signs
    signs: false
    
    # Prevent users from destroying rails
    rails: false
    
    # Blocks below rails/signs are also protected if the respective rail/sign is protected.
    # This makes it more difficult to circumvent protection, and should be enabled.
    # This only has an effect if "rails" or "signs" is also enabled.
    block-below: false
    
    # Prevent placing blocks above protected rails, this is to stop a potential griefing
    prevent-block-on-rails: false
    
    # Disable various default physics and behaviors
    disable:
    # Should fall damage be disabled?
    fall: false
    
    # Users with the essentials.protect.pvp permission will still be able to attack each other if this is set to true.
    # They will be unable to attack users without that same permission node.
    pvp: false
    
    # Should drowning damage be disabled?
    # (Split into two behaviors; generally, you want both set to the same value)
    drown: false
    suffocate: false
    
    # Should damage via lava be disabled?  Items that fall into lava will still burn to a crisp. :)
    lavadmg: false
    
    # Should arrows cause damage?
    projectiles: false
    
    # This will disable damage from touching cacti.
    contactdmg: false
    
    # Burn, baby, burn!  Should fire damage be disabled?
    firedmg: false
    
    # Should people with build: false in permissions be allowed to build
    # Set true to disable building for those people
    build: false
    
    ou un fichier qui ressemble, pour empêcher les explosion de creeper, ou leur domage sur les block ou leur dommage sur les joueurs, il faut s'intereser à cette partie du fichier
    Code:
    # General physics/behavior modifications
    prevent:
    lava-flow: false
    water-flow: false
    water-bucket-flow: false
    fire-spread: false
    lava-fire-spread: false
    flint-fire: false
    tnt-explosion: false
    creeper-explosion: false
    creeper-playerdamage: false
    creeper-blockdamage: false
    # Prevent the spawning of creatures
    spawn:
    creeper: false
    ghast: false
    slime: true
    
    Dans Prevent
    - Creeper-explosion => empeche le creeper d'exploser, mais ils apparaissent toujours
    - Creeper-Playerdamage => Les joueurs n'auront pas de dégâts avec les explosion des creepers
    - Creeper-Blockdamage => Les blocs ne seront pas détruit par les creepers

    Dans Spawn
    - creeper => Il n'y aura plus de creepers dans votre monde
  11. duanra Nouveau

    Bonjour,

    Je suis un peu débutant en matière de configuration des plugins, le fichier dont tu parle, c'est bien celui présent dans minecraft\plugins\Essentials\config.yml ?


    Mon fichier config.yml, ouvert avec le bloc note, ne comporte qu'une douzaine de ligne, dont la premiere commence par "###################".

    Est-ce que le simple fait de rajouter les lignes que tu cites suffit à stopper les dégâts des creepers au niveaux des blocs?

    Merci par avance
  12. Dwalfear Nouveau

    C'est bien le fichier dont je parle, mais si tu n'a que 12 lignes, c'est que tu n'a pas tout les plugins essentials, les lignes notée dans mon explication sont ajoutée avec le plugin essentials protect (du moins en 1.3) j'ai pas encore mis les plugins à jour depuis la 1.4, mais je pense pas que les plugins de essentials ai disparu...

Partager cette page